oracle.pgx.api.filter

## Class GraphFilter

- java.lang.Object
- - oracle.pgx.api.filter.GraphFilter

- Direct Known Subclasses:
    BinaryGraphFilterOperation, GraphFilterWithExpression

      public abstract class GraphFilter
      extends Object

  An abstract class representing any GraphFilters

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryGraphFilterOperation` | `asBinaryGraphFilterOperation()` Gets this filter object as binary graph filter operation, if possible.
    `EdgeFilter` | `asEdgeFilter()` Gets this filter object as edge filter, if possible.
    `GraphFilterWithExpression` | `asGraphFilterWithExpression()` Gets this filter object as graph filter with expression, if possible.
    `VertexFilter` | `asVertexFilter()` Gets this filter object as vertex filter, if possible.
    `FilterType` | `getType()` Gets the type of the filter.
    `boolean` | `hasExpression()` Checks if this GraphFilter object has an expression associatet with it.
    `FilterIntersection` | `intersect(GraphFilter other)` Intersects this filter with another graph-filter object.
    `boolean` | `isBinaryOperation()` Checks if this GraphFilter object represents is binary operation.
    `FilterUnion` | `union(GraphFilter other)` Unions this filter with another graph-filter object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### asBinaryGraphFilterOperation

          public BinaryGraphFilterOperation asBinaryGraphFilterOperation()

      Gets this filter object as binary graph filter operation, if possible. Save to call if `hasExpression()` evaluates to true.
      Returns:
        the binary graph filter operation

    - #### asEdgeFilter

          public EdgeFilter asEdgeFilter()

      Gets this filter object as edge filter, if possible. Save to call if `getType()` == FilterType.EDGE
      Returns:
        the edge filter

    - #### asGraphFilterWithExpression

          public GraphFilterWithExpression asGraphFilterWithExpression()

      Gets this filter object as graph filter with expression, if possible. Save to call if `isBinaryOperation()` evaluates to true.
      Returns:
        the graph filter with expression

    - #### asVertexFilter

          public VertexFilter asVertexFilter()

      Gets this filter object as vertex filter, if possible. Save to call if `getType()` == FilterType.VERTEX
      Returns:
        the vertex filter

    - #### getType

          public final FilterType getType()

      Gets the type of the filter.
      Returns:
        the type of the filter

    - #### hasExpression

          public boolean hasExpression()

      Checks if this GraphFilter object has an expression associatet with it.
      Returns:
        true, if this GraphFilter object has an expression associatet with it

    - #### intersect

          public final FilterIntersection intersect(GraphFilter other)

      Intersects this filter with another graph-filter object.
      Parameters:
        `other` - the other graph-filter
      Returns:
        a class representing the filter intersection

    - #### isBinaryOperation

          public boolean isBinaryOperation()

      Checks if this GraphFilter object represents is binary operation.
      Returns:
        true, if this GraphFilter object represents is binary operation

    - #### union

          public final FilterUnion union(GraphFilter other)

      Unions this filter with another graph-filter object.
      Parameters:
        `other` - the other graph-filter
      Returns:
        a class representing the filter union

Copyright © 2015. All rights reserved.